package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;

public interface IndexApiService {
    //获取小程序任一文章或服务

    //获取banner图列表
    public Result<?> queryBannerList(String bannerCategoryId);

    //获取视频列表
    public Result<?> queryVideoList();

    //获取文章列表-申遗历程/非遗体验
    public Result<?> queryArticleList();

    //根据分类获取文章列表
    public Result<?> queryArticleListByType(String articleType);

    //根据id获取文章详情
    public Result<?> queryArticleById(String articleId);

    //获取景区列表
    public Result<?> queryAreaList();

    //根据景区id获取该景区下的地点列表-景点/厕所/美食店铺/民宿
    public Result<?> querySpotList(String areaId, String categoryId);

    //根据角色类型获取角色信息列表-讲解员/达人/摄影师
    public Result<?> queryRoleInfoList(String roleType, String level, String spot);

    //根据角色id获取角色信息详情
    public Result<?> queryRoleInfoById(String roleInfoId);

    //根据角色id获取视频列表
    public Result<?> queryVedioById(String roleInfoId);

    //遗产路径-待补充

    //我要研学-待补充

    //文创好物-待补充

    //瓷都美食-链接美团

    //精品民宿-链接高德地图

    //无忧租车-链接滴滴打车

    //添加建议
    public Result<?> addAdvice();

    /*************************我的***********************************/
    //添加志愿者
    public Result<?> addVolunteer();

}
